Verified Commit 7d55dbc4 authored by Duncan Macleod's avatar Duncan Macleod
Browse files

wheels: drop support for python < 3.7

as per NEP 29, closes #476
[skip compiler] [skip conda] [skip coverage] [skip debian] [skip docs] [skip integration] [skip lint] [skip platform] [skip rhel]
parent 96173e70
Pipeline #301793 passed with stages
in 11 minutes and 58 seconds
......@@ -977,9 +977,6 @@ lalapps:conda:
image: containers.ligo.org/lscsoft/lalsuite-manylinux/manylinux2014_x86_64
# Build wheels for all supported platforms
wheel:cp36-cp36m-manylinux2014:
extends:
- .wheel:manylinux2014
wheel:cp37-cp37m-manylinux2014:
extends:
- .wheel:manylinux2014
......@@ -989,9 +986,6 @@ wheel:cp38-cp38-manylinux2014:
wheel:cp39-cp39-manylinux2014:
extends:
- .wheel:manylinux2014
wheel:cp36-cp36m-macosx:
extends:
- .wheel:macos
wheel:cp37-cp37m-macosx:
extends:
- .wheel:macos
......@@ -1682,11 +1676,9 @@ deploy:wheel:
- pip install twine
- twine upload wheelhouse/*
needs:
- wheel:cp36-cp36m-manylinux2014
- wheel:cp37-cp37m-manylinux2014
- wheel:cp38-cp38-manylinux2014
- wheel:cp39-cp39-manylinux2014
- wheel:cp36-cp36m-macosx
- wheel:cp37-cp37m-macosx
- wheel:cp38-cp38-macosx
- wheel:cp39-cp39-macosx
......
......@@ -160,7 +160,6 @@ setup(
'License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)',
'Operating System :: POSIX',
'Programming Language :: Python :: 3',
'Programming Language :: Python :: 3.6',
'Programming Language :: Python :: 3.7',
'Programming Language :: Python :: 3.8',
'Programming Language :: Python :: 3.9',
......@@ -184,7 +183,7 @@ setup(
.replace('.so', '')
.replace('/', '.'), [])
for filename in glob(PYTHONDIR + '/**/*.so', recursive=True)],
python_requires='>=3.5',
python_requires='>=3.7',
extras_require={
'lalinference': ['gwpy', 'gwdatafind']
},
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment